Bug 252242 - devel/doxygen: fail to fetch source
Summary: devel/doxygen: fail to fetch source
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dima Panov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-29 00:40 UTC by Guangyuan Yang
Modified: 2021-01-08 22:53 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (cyberbotx)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guangyuan Yang freebsd_committer 2020-12-29 00:40:49 UTC

    
Comment 1 Guangyuan Yang freebsd_committer 2020-12-29 00:42:34 UTC
Tried to build doxygen as a dependency, and found out that the link (http://doxygen.nl/files/doxygen-1.8.15.src.tar.gz) returns a 404.

Log: https://poudriere.ygy.io/data/122Ramd64-development/2020-12-28_23h32m24s/logs/errors/doxygen-1.8.15_3,2.log
Comment 2 Naram Qashat 2020-12-29 02:44:42 UTC
There is currently a pending bug #242347 that updates the port to the latest version (although as I check the Doxygen website now, I see that a version newer than that has been released as of yesterday). I would advise waiting for that update to happen.
Comment 3 Guangyuan Yang freebsd_committer 2020-12-29 14:16:08 UTC
(In reply to Naram Qashat from comment #2)

While I understand that updating as per bug #242347 might solve this for now, this leads me to question if the current MASTER_SITE is guaranteed to keep the old version - could switching to Sourceforge [1] be a better option here?

[1]: https://sourceforge.net/projects/doxygen/files/
Comment 4 Naram Qashat 2020-12-29 14:34:44 UTC
(In reply to Guangyuan Yang from comment #3)

Perhaps it would be better to use Sourceforge as a backup for MASTER_SITES for older releases. I do not know how far back the main site's downloads go. I normally have the port updated but this update has been slow to get into the ports tree for whatever reason.
Comment 5 Fernando Apesteguía freebsd_committer 2020-12-30 18:45:12 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 6 Guangyuan Yang freebsd_committer 2020-12-31 05:28:21 UTC
(In reply to Fernando Apesteguía from comment #5)

No. This PR will soon be Closed - Overcome by events by PR #242347 (see also).